package cz.jzitnik.game.entities.items.registry.mobs;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.EntityRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.mobs.services.sheep.SheepData;

import java.util.Random;

import static cz.jzitnik.game.sprites.Sheep.SheepState.*;


@EntityRegistry("sheep")
public class Sheep extends Block {
    private cz.jzitnik.game.sprites.Sheep.SheepState getSheep() {
        Random random = new Random();
        int num = random.nextInt(100);

        if (num < 1) {
            return PINK_RIGHT;
        }

        if (num < 4) {
            return BROWN_RIGHT;
        }

        if (num < 15) {
            int num1 = random.nextInt(3);
            return switch (num1) {
                case 0 -> LIGHT_GRAY_RIGHT;
                case 1 -> GRAY_RIGHT;
                case 2 -> BLACK_RIGHT;
                default -> throw new IllegalStateException("Unexpected value: " + num1);
            };
        }

        return WHITE_RIGHT;
    }

    public Sheep() {
        super("sheep", SpriteLoader.SPRITES.SHEEP);
        setMob(true);
        setGhost(true);
        setSpriteState(getSheep());
        setMineable(false);
        setData(new SheepData());
        setHp(8);
    }
}
